1.0.0 alpha
    - 整合包发布

1.0.1 alpha
    - 更新格雷科技社区版非官方至 2.1.2-beta

1.0.2 alpha
    - 调整格雷配置，调整键位，调整其他内容，添加服务器模组列表文件

1.0.3 alpha
    - 添加Mod
        - [脚本同步][CrT_自动同步ZS]
        - [ID 扩展][JustEnoughIDs-1.0.4-SNAPSHOT-thin]
        - [匠魂2][TConstruct-1.12.2-2.13.0.183]
            (附属)
            - [匠魂JEI][tinkersjei-1.2]
            - [自定义材料][Infini-TiC-1.12.2-0.1.46]
            - [匠魂护甲][conarm-1.12.2-1.2.5.10]
            - [匠魂进化][tconevo-1.12.2-1.0.44]
            - [匠魂工具等级][TinkerToolLeveling-1.12.2-1.1.0]
            - [匠魂修改][tweakersconstruct-1.12.2-1.6.1]
            - [匠魂合金附加 FIXED][taiga-1.12.2-1.3.4][MOD已修改]
        - [在线相框][OnlinePicFrame_v1.5.0-pre1_mc1.12.2]
        - [前置][CreativeCore_v1.10.44_mc1.12.2]
        - [前置][Mantle-1.12-1.3.3.55]
            使用该前置的Mod:
            - [匠魂2][TConstruct-1.12.2-2.13.0.183]
    - 调整匠魂配置文件,使其史莱姆岛禁止生成在空间站维度
    - 删除无用材质包

1.0.4 alpha
    - 添加Mod
        - [妖怪之山通用库][MMLib-2.3.0]
        - [樱][Sakura-1.0.7-1.12.2]
        - [家具][furniture-6.3.1-1.12.2]
        - [各种物品][VariedCommodities_1.12.2(27oct19)]

1.0.5 alpha
    - 添加字体
        -Exo2-SemiBold
        -思源黑体-Medium

1.0.6 alpha
    - 更新Mod
        - [格雷科技社区版非官方][gregtech-1.12.2-2.1.4-beta]
    - 清理无用文件
    - 调整字体设置,以修复超能物质的装备字体模糊问题
    - 应用能源的陨石现在会生成在高级火箭的月球
    - 完全关闭高级火箭的矿物生成

1.0.7 alpha
    - 更新汉化文件
    - 汉化资源包更新
    - 添加 FTBQ 部分任务章节贴图
    - 添加 FTBQ 部分基础任务
    - 调整格雷配置
    - 添加新的信息显示，优化部分信息显示
    - 调整 TorohealthMod 的血量显示位置
    - 添加模组
        - [通量网络][FluxNetworks-1.12.2-4.1.1.34]
        - [凿子][Chisel-MC1.12.2-1.0.2.45]
        - [JEI 应用能源支持][JustEnoughEnergistics-1.12.2-1.0.8]
        - [CrT VSC工具][probe-0.1.24.jar]
    - 新脚本
        - 通量网络魔改
            - 通量粉尘
            - 通量核心
            - 通量接入点
            - 通量接出点
            - 通量控制器
            - 基础通量存储器
            - 大型通量存储器
            - 巨型通量存储器
        - 凿子魔改
            - 自动雕凿机
    - changelog.txt 整理

1.1.0 alpha
    - 降低通量网络配方的电压要求 (LuV --> IV)
    - 添加模组
        - [更好的建筑手杖][BetterBuildersWands-1.12.2-0.13.2.271+5997513]
        - [音乐][AudioBuffer-1.0]
        - [林业][forestry_1.12.2-5.8.2.422]
        - [前置][Placebo-1.12.2-1.6.0]
        - [神化][Apotheosis-1.12.2-1.12.5]
        - [JEI 应用能源支持][NotEnoughEnergistics-1.12.2-1.2.4]
        - [傻瓜式农贸市场][FarmingForBlockheads_1.12.2-3.1.28]
        - [应用能源 2 非官方延长寿命版][appliedenergistics2-rv6-stable-7-extended_life-v50f]
        - [铁箱子][ironchest-1.12.2-7.0.72.847]
        - [前置][MTLib-3.0.7]
        - [MoT][modtweaker-4.0.20.5]
        - [开放式电梯][ElevatorMod-1.12.2-1.3.14.jar]
    - 删除模组
        - [JEI 应用能源支持][JustEnoughEnergistics-1.12.2-1.0.8]
        - [应用能源 2][appliedenergistics2-rv6-stable-7][MOD已修改]
    - 添加 GT 火箭燃料进入高级火箭的火箭燃料列表
    - 删除超能物质的三钛矿物生成
    - 关闭 Sakura 模组的胡椒和香草生成
    - 禁止匠魂的史莱姆空岛在非主世界生成
    - 调整 TOP RF条颜色
    - 调整 GTCEu 的光影配置
    - 修改材质包名,调整游戏配置
    - 清理无用文件
    - 更新 FancyMenu 菜单配置
        - 自助更新 (使用服务器更新包)
            - 从服务器获取 zip 压缩包，下载到 download 文件夹
            - 玩家点击解压后文件解压至 update 文件夹
            - 玩家点击开始更新后，运行本地脚本，本地脚本跳转至 update 的 pack.bat 脚本来更新文件
    - 在根目录添加了 version 文件，供更新脚本检测版本
    - 调整林业 配置/魔改 ，使其和 GTCEu 兼容
        - 修改电子板配方
        - 修改便携式多用分析仪配方
        - 修改林业机器配方 (18 已修改)
    - 调整铁箱子配方，关闭潜影盒配方
    - 调整建筑手杖配方
        - 钻石手杖
        - 不毁手杖 (3 已修改)
    - 添加主世界的赛特斯石英的矿脉生成，关闭 AE2 自带的赛特斯石英生成

1.1.1 alpha
    - 调整神化甘蔗的生长高度 (255 --> 10)
    - 修复林业机器配方
        - 删除热电子加工台原配方
        - 添加造雨机配方
        - 添加分析仪配方
        - 添加数据库配方
    - 新模组
        - [更多鸡][chickens-6.1.0]
        - [鸡窝][roost-1.12.2-2.0.10]
        - [末影设备][enderutilities-1.12.2-0.7.15]
        - [储物桶][YABBA-1.1.2.54]
        - [矿辞统一][UniDict-1.12.2-3.0.10]
        - [RF 工具箱][rftools-1.12-7.73]
        - [末影接口_应用能源导管][EnderIO-conduits-appliedenergistics-1.12.2-5.3.70]
        - [末影接口_林业][EnderIO-integration-forestry-1.12.2-5.3.70]
        - [MultiblockTweaker][multiblocktweaker-1.12.2-stable-gtceu-1.6.0]
        - [失落魔法][lostmagic-1.0.2]
        - [TRP][ThaumcraftResearchPatcher-1.12.2-1.1.3]
        - [巫术][bewitchment-1.12.2-0.0.22.64]
        - [帕秋莉手册][Patchouli-1.0-23.6]
        - [神秘修复][thaumicfixes-1.0-nolibs]
        - [神秘奇境][thaumicwonders-1.8.2]
        - [提示][Tips-1.12.2-1.0.9]
    - 更新模组
        - [模块化控制器][1.3.1 -> 1.4.2]
        - [无尽收容][1.6 -> 1.7]
        - [神秘领域:重构][12.6.7 -> 12.7.8]
        - [神秘能源][2.2.4 -> v2.2.3-delfayne-fork-SNAPSHOT-2]
    - 修正汉化扩展包的名字，防止自动更新脚本不识别空格
    - 压缩菜单图片体积 (100% --> 20%)
    - 修复神秘时代的蜘蛛网配方源质缺失 (Vinculum * 2, Bestia * 5)
    - 移除深度怪物学习的机器人物质的三钛配方
    - GT 自定义更新
        - 蕴魔硝化柴油 (来自 FTBI)
            - 发电量为高十六的 2 倍
            - 与 实用扩展,星辉魔法,神秘时代,植物魔法 联动合成
        - 富集硅岩燃料
            - 使用硅岩移相器制作
        - 超能硅岩燃料
            - 使用硅岩移相器升级
        - 新材料：魔力物质
        - 添加新矿脉
            - 包含矿石：魔力物质，朱砂，琥珀
            - 移除神秘时代的朱砂，琥珀，石英的生成
            - 仅生成在主世界
    - 添加 16x16 32x32 图标，用于任务栏图标
    - 关闭实用扩展的工具和装备
    - 新模块化机械
        - 硅岩移相器 (用于制作富集硅岩燃料) (ZPM)
            - 添加控制器配方
        - 魔力硅岩反应堆 (使用富集硅岩燃料和超能硅岩燃料产出蒸汽) (ZPM - UV)
            - 添加控制器配方
    - 添加钴阿迪特矿脉，删除匠魂的钴和阿迪特生成
    - 关闭地岩粉和炽焰粉的工作台物品处理
    - 关闭引力异常点的方块破坏
    - 移除热力磨粉机，感应炉，红石炉
    - 移除高级火箭的电弧高炉
    - 删除模组
        - [额外植物学][ExtraBotany-r1.1-60-beta-hotfix]
    - 添加模块化机械基本方块配方
    - 修复 LazyAE2 的赛特斯石英不通用的问题
    - 更新汉化资源包 (2022.3.6)
    - 隐藏铁箱子模组的潜影盒 JEI 显示
    - 移除 TC6 的黄铜板和铁板以及神秘板配方

1.1.2 alpha
    - 修复 TE5 的炉渣和富炉渣合成
    - 优化字体显示
    - 修改 TOP 流体显示机制
    - 新模组
        - [建筑师工艺][architecturecraft-1.12-3.98]
        - [末影接口_导管扩展][EnderIO-endergy-1.12.2-5.3.70]
        - [GCYM][GregicalityMultiblocks-1.12.2-1.1.1]
    - 调整深度怪物学习的模拟耗电量
    - 移除 IGI 中无用的信息显示
    - 更新菜单贴图样式
    - 更新模组
        - [封包合成][1.0.5.18 -> 1.0.5.19]
        - [应用能源 2 非官方延长寿命版][v50f -> v51e]
    - 更新/优化 任务贴图
    - 修复 AR 的钛铝合金和钛铱合金
    - 禁用中子素收集器
    - 更新任务章节
    - 删除模组
        - [樱][Sakura-1.0.7-1.12.2]
        - [各种物品][VariedCommodities_1.12.2(27oct19)]
        - [妖怪之山通用库][MMLib-2.3.0]
        - [难度调整][roughTweaks0.2.4-1.12.2]
        - [巫术][bewitchment-1.12.2-0.0.22.64]
    - 修复蒸汽章节任务中的钢问题
    - 移除 AA 的磨粉机
    - GT 自定义更新
        - EIO 合金配方修改
        - 超导线缆更新
        - 导电铁 LV
        - 充能合金 MV
        - 脉冲合金 HV
        - 末影钢 EV
        - 晶化合金 IV
        - 旋律合金 LuV
        - 恒星合金 ZPM
    - 修复神秘问题
    - 修改能量转换器配方

1.1.2.1 alpha hotfix
    - 修复脉冲水晶，充能水晶配方
    - 修复字体显示

1.2.0 alpha
    - 修复磁钢，充能水晶粉，末影水晶粉的合成，添加 EIO 框架和部分机器配方
    - 重构 Ender Utilities 模组配方
    - 模组变动
        新模组:
            - [平滑滚动][smooth-scrolling-everywhere-1.1]
            - [末影存储][EnderStorage-1.12.2-2.4.6.137-universal]
            - [潘马斯农场][Pam's+HarvestCraft+1.12.2zg]
            - [前置][BrandonsCore-1.12.2-2.4.20.162-universal]
            - [龙之进化][Draconic-Evolution-1.12.2-2.3.28.354-universal]
            - [龙之进化扩展][Draconic-Additions-1.12.2-1.17.0.45-universal]
            - [量瓶][volumetricflask-0.18]
            - [垃圾桶][GarbageBins-1.1.1]
            - [MBD][multiblocked-0.3]
            - [火花][spark-forge][1.6.3]
        删除模组:
            - [超能物质][MatterOverdrive-1.12.2-0.7.6-universal]
            - [神化][Apotheosis-1.12.2-1.12.5]
            - [匠魂合金附加 FIXED][taiga-1.12.2-1.3.4][MOD已修改]
            - [前置][Placebo-1.12.2-1.6.0]
            - [匠魂护甲][conarm-1.12.2-1.2.5.10]
            - [自定义材料][Infini-TiC-1.12.2-0.1.46]
            - [TAB头像][TabIconHackForge-1.0]
            - [BUG 修复][AnotherCommonBugFix-1.2.5-1.12.2]
        更新模组:
            - [应用能源 2 非官方延长寿命版][v51e] -> [v0.52.3]
            - [格雷科技社区版非官方][2.1.4-beta] -> [2.2.1-beta]
            - [GCYM][1.1.1] -> [1.1.2]
            - [皮肤][14.11] -> [14.13]
            - [MultiblockTweaker][1.6.0] -> [1.7.0]
            - [LoliASM][4.4.1] -> [4.9]
            - [Mixinbooter][3.2] -> [4.2]
    - GT 自定义更新
        - 适配格雷科技 2.2.1-beta 的电路板参数
        - 超能硅岩燃料的注册名由 "super_naquadah_fuel" 更改为 "hyper_naquadah_fuel"
        - 添加龙矿处理和觉醒龙处理 (WIP)
        - 新流体:液态魔力聚合体
            - 由魔法模组的魔力与魔力物质粉使用搅拌机合成，用于魔法向合成
        - 添加 Ender Utilities 合金适配
        - 添加 TE5 合金适配, 四元素适配
        - AA 充能油现在不可以被蒸馏了，添加了一个充能石油用于蒸馏塔蒸馏
    - 添加新的多方块结构:星空宇宙培育仓 用于龙矿处理
    - 修改植物魔法部分物品配方
    - 更新 .gitignore
    - 清理无用文件
    - 添加 GCYM 的汉化
    - 新的背景音乐
    - 禁用祛魔布匹
    - 临时移除自助更新
    - 更正一些翻译
    - 重构 AA 菜籽油产线
    - 重构通量网络配方
    - 任务更新
        - 格雷科技
            - HV
            - EV
            - IV (WIP)
        - 神秘时代
        - 龙之科技
            - T7 龙 ZPM (WIP)
            - T9 觉醒龙 UHV (WIP)
            - T11 混沌龙 UIV (WIP)
        - 图片路径更改 [minecraft/quests/picturez] -> [snp/textures]
    - 添加硅岩移相器、魔力硅岩反应堆、星空宇宙培育仓的控制器配方
    - 添加一些植物魔法的配方，以及 GT 材料
    - 添加氧化龙素混合物矿脉

1.2.0 alpha hotfix1
    - 修复任务贴图显示错误

1.2.0.1 alpha hotfix2
    - 修复星空宇宙培育仓配方
    - 添加共振宝石配方

1.2.1 alpha
    - SNP 改名为 StP
    - 临时取消隐藏觉醒龙锭与块，添加觉醒龙锭与觉醒龙素的转换
    - 模组变动
        - 新模组
            - [Portality][portality-1.12.2-1.2.3-15]
            - [时装盔甲重置版][CosmeticArmorReworked-1.12.2-v5a]
            - [TOP Fix][topfix-1.1]
            - [墓碑][gravestone-1.10.3]
            - [自由视角][FreeLook-1.2.2]
            - [越肩视角][ShoulderSurfing-1.12.2-2.2.2]
            - [沉浸战斗(更好的战斗)][ImmersiveCombat(BetterCombatRebirth)-3-6-2022]
            - [水游技艺][AquaAcrobatics-1.13.3]
            - [Linux 输入法兼容][kokoalinux-1.3.0][默认禁用]
        - 更新模组
            - [Multiblocked][0.3] -> [0.5.3]
            - [CrT][4.1.20.673] -> [4.1.20.674]
            - [高级火箭][2.0.0-257-universal] -> [2.0.0-12]
            - [LibVulpes][0.4.2-88] -> [0.4.2-24]
    - GT 自定义更新
        - 多方块结构
            - 新手/学徒/大师 魔力发电机 #52
        - 新材料
            - 琥珀
            - 信素锭 (HV)
    - 任务更新
        - 格雷科技
            - 蒸汽时代
                - 临时移除了锡粉和铜粉的任务
            - LV
                - 修复铝粉任务（小撮粉合成）
            - HV
                - 修复一个错误 #53
            - 能源运输与管理
                - 完善内容
        - 植物魔法
            - 更新基础内容
        - 星辉魔法
            - 更新基础内容 #53
    - 修复脉冲合金粉和充能合金粉配方倒转的问题
    - 添加一些关于星辉的多方块结构 #53
    - 新事件
        - 玩家加入游戏、起床、死亡时发送一些提示 #59
    - 修复陨石粉合成 #59
    - 进一步修改植物魔法 #48
    - 添加 Linux 的相关支持 #50
    - 添加硅的一些合成表 (电解、熔炉)

1.2.1.1 alpha
    - 模组变动
        - 新模组
            - [Discord 兼容][DiscordSuite-2.2.4]
        - 更新模组
            - [格雷科技社区版非官方][2.2.1-beta] -> [2.2.3-beta]
            - [GCYM][1.1.2] -> [1.1.2] (官方原文如此)
        - 删除模组
            - [Portality][portality-1.12.2-1.2.3-15]
            - [越肩视角][ShoulderSurfing-1.12.2-2.2.2]
            - [潮涌][Surge-1.12.2-2.0.79]
            - [家具][furniture-6.3.1-1.12.2]
            - [更多鸡][chickens-6.1.0]
            - [鸡窝][roost-1.12.2-2.0.10]
        - 以下模组移动到可选列表
            - [Linux 输入法兼容][kokoalinux-1.3.0]
            - [HEI][HadEnoughItems_1.12.2-4.18.2]
    - 修复可选模组默认启用的问题
    - 更新服务端与客户端文档
        - 更正文件名，防止导出整合包时出现问题
        - 内容小修正
    - 将 customloadingscreen 的配置文件 `smooth_init` 选项改为 false，也许会改进某些电脑的性能影响
    - 脚本内容/结构优化
    - 修复一个小问题 (as_recipes.zs LINE 32)
    - 清理无用文件

1.3 alpha
    - GT 自定义更新
        - 重做龙素产线，龙素调整到 LuV 可以制作，觉醒龙素为 ZPM 可以制作，同时会产出新的副产物-精金
        - 新增山铜产线，基岩精华，基岩合金，恒星碎片产线(用于制作恒星合金)，炽焱流明，极寒末影，充能琥珀金，荧光信素(LuV 超导)，高能合金，硼铁合金，高强合金，硬碳合金，极限合金，热引合金，水晶矩阵，晶素锭
        - 旋律合金调整到 ZPM，恒星合金调整到 UV
        - 新增四种火箭燃料和两种柴油，增强 EIO 火箭燃料(柴油)
        - 新机器:极限燃烧引擎(IV)，使用四种火箭燃料，产生 1A EV - 4A UV
        - 降低了龙芯等物品造价
    - 模组变动
        - 新模组
            - [LoliASM][loliasm-5.6]
            - [IGI 信息扩展][IGIExtended-1.12.2-1.0]
            - [GTCEu CrT 开发套件][devtech-2.1.2]
            - [拼音搜索][hecharacters-1.12.2-1.1.0]
            - [简单联机][ServerPropertiesLAN-2.65]
            - [闭嘴！模型加载器！][shutupmodelloader-1.12.2-1.0.0]
            - [日志过滤器][StuffASockInIt-1.12.2-1.1.32]
        - 更新模组
            - [格雷科技社区版非官方][2.2.3-beta] -> [2.3.4-beta]
            - [应用能源 2 非官方延长寿命版][v0.52.3] -> [v0.52.10]
            - [MultiblockTweaker][1.7.0] -> [1.7.1]
            - [MBD][0.5.3] -> [0.6.5b]
            - [HEI][4.18.2] -> [4.22.2]
            - [平滑字体][2.1.1] -> [2.1.3]
        - 降级模组
            - [火花][spark-forge][1.6.3] -> [spark-forge1122][1.5.2]
        - 删除模组
            - [Mixin 兼容][[___MixinCompat-0.8___]]
            - [JEI][jei_1.12.2-4.16.1.302]
            - [拼音搜索][JustEnoughCharacters-1.12.0-3.5.1]
            - [AFW][AutoFetchWitchery-1.12.2-1.0.0-Final]
            - [原版修复][VanillaFix-1.0.10-150]
            - [照明优化][phosphor-forge-mc1.12.2-0.2.7-universal]
    - 添加 Modrinth 介绍
    - #66 内容
    - 英文翻译
        - #67 #68 #69 #70 内容
        - 神秘研究英译
    - 修复或更改了 TE5 和 EIO 的部分配方，修复了转换器配方问题
    - #71 内容
    - 地之符文: 将飘香镶板换为低一级的蜜蜂产物
    - 游戏标题更换: StP ModPack by StarryNight-Team
    - 一定程度上修复了 FTBQ 的崩溃报错
    - 关闭 EnderIO 的箱子战利品生成
    - 更新材质包,更新汉化
    - 整合包文件结构清理,脚本优化
    - 加载界面临时更换(新的在计划)

1.3.1 alpha
    - TODO: 魔法魔改稀烂，计划大修
    - TODO: 神秘结晶修复
    - TODO: #63 内容

TODO:后续版本的预备工作:
- 完善 Tips 的内容
- 纠正 DE 的配方内容